<?php

/**
 * This file is part of Ajax Comment System.
 *
 * (c) HazzardWeb <hazzardweb@gmail.com>
 *
 * For the full copyright and license information, please visit:
 * http://codecanyon.net/licenses/standard
 */

namespace ACS\Comments;

use Illuminate\Database\Eloquent\Model;

class Vote extends Model
{
    const UP = 'up';
    const DOWN = 'down';
    const REMOVE_UP = '-up';
    const REMOVE_DOWN = '-down';

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'comment_votes';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['user_id', 'vote_type'];
}
